Bug 1004564 - gnumeric 1.12.5-1 segfaults some files generated by 1.12.4-1 (and earlier)
gnumeric 1.12.5-1 segfaults some files generated by 1.12.4-1 (and earlier)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
19
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 20:12 EDT by Peter Blomgren
Modified: 2015-02-17 12:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:04:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Blomgren 2013-09-04 20:12:46 EDT
Description of problem:
gnumeric 1.12.5-1 segfaults on some files generated by 1.12.4-1 (and/or earlier)

Version-Release number of selected component (if applicable):
1.12.5-1

How reproducible:
Intermittent (some files)

Steps to Reproduce:
1. /usr/bin/gnumeric problemfile.gnumeric
2.
3.

Actual results:
Segmentation fault

Expected results:
Open gnumeric spreadsheet

Additional info:
(1) Downgrading to 1.12.2-1 solved the problem
(2) Unfortunately all my example problem files contain sensitive data; and cannot be attached... making this bug report less than awesome.
(3) The last 50 lines of "strace" (the problem file was closed 3,200 lines earlier in the strace dump)

gettimeofday({1378336393, 344881}, NULL) = 0
lstat64("/usr/share/icons/gnome/24x24/mimetypes/font.png", {st_mode=S_IFLNK|0777, st_size=18, ...}) = 0
stat64("/usr/share/icons/gnome/24x24/mimetypes/font.png", {st_mode=S_IFREG|0644, st_size=1471, ...}) = 0
readlink("/usr/share/icons/gnome/24x24/mimetypes/font.png", "font-x-generic.png", 256) = 18
gettimeofday({1378336393, 346272}, NULL) = 0
gettimeofday({1378336393, 346434}, NULL) = 0
open("/usr/share/icons/gnome/24x24/mimetypes/font.png", O_RDONLY|O_LARGEFILE|O_NOATIME) = -1 EPERM (Operation not permitted)
open("/usr/share/icons/gnome/24x24/mimetypes/font.png", O_RDONLY|O_LARGEFILE) = 12
read(12, "\211PNG\r\n\32\n\0\0\0\rIHDR\0\0\0\30\0\0\0\30\10\6\0\0\0\340w="..., 4096) = 1471
close(12)                               = 0
gettimeofday({1378336393, 347067}, NULL) = 0
gettimeofday({1378336393, 347184}, NULL) = 0
gettimeofday({1378336393, 347368}, NULL) = 0
brk(0)                                  = 0xaf9c000
brk(0xafbd000)                          = 0xafbd000
clock_gettime(CLOCK_MONOTONIC, {176103, 732269962}) = 0
write(11, "\1\0\0\0\0\0\0\0", 8)        = 8
futex(0x9ff57e0, FUTEX_WAKE_PRIVATE, 1) = 1
write(11, "\1\0\0\0\0\0\0\0", 8)        = 8
futex(0x9ff57e0, FUTEX_WAKE_PRIVATE, 1) = 1
write(11, "\1\0\0\0\0\0\0\0", 8)        = 8
futex(0x9ff57e0, FUTEX_WAKE_PRIVATE, 1) = 1
write(11, "\1\0\0\0\0\0\0\0", 8)        = 8
futex(0x9ff57e0, FUTEX_WAKE_PRIVATE, 1) = 1
brk(0)                                  = 0xafbd000
brk(0xafde000)                          = 0xafde000
write(11, "\1\0\0\0\0\0\0\0", 8)        = 8
futex(0x9ff57e0, FUTEX_WAKE_PRIVATE, 1) = 1
clock_gettime(CLOCK_MONOTONIC, {176103, 779381866}) = 0
clock_gettime(CLOCK_MONOTONIC, {176103, 780731478}) = 0
access("/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf", R_OK) = 0
open("/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf", O_RDONLY) = 12
fcntl64(12, F_SETFD, FD_CLOEXEC)        = 0
fstat64(12, {st_mode=S_IFREG|0644, st_size=66588, ...}) = 0
mmap2(NULL, 66588, PROT_READ, MAP_PRIVATE, 12, 0) = 0xb5e4d000
close(12)                               = 0
brk(0)                                  = 0xafde000
brk(0xafff000)                          = 0xafff000
brk(0)                                  = 0xafff000
brk(0xb020000)                          = 0xb020000
brk(0)                                  = 0xb020000
brk(0xb041000)                          = 0xb041000
brk(0)                                  = 0xb041000
brk(0xb062000)                          = 0xb062000
brk(0)                                  = 0xb062000
brk(0xb083000)                          = 0xb083000
brk(0)                                  = 0xb083000
brk(0xb0a4000)                          = 0xb0a4000
--- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=0x58} ---
+++ killed by SIGSEGV +++
Comment 1 Charles R. Anderson 2013-09-05 18:52:08 EDT
Same issue here.  Are you using any cells with a conditional formula like this?  I'm using this and wondering if this is related to the crash:

=if(A2="Reserved for Future Use",0,G2)

=if(A2="Reserved for Future Use",G2,0)

So, set the cell to the value in G2, but only if A2 is equal to that string (and then vice versa).

That's the only part of my spreadsheet that looks "unusual" or perhaps not commonly used.
Comment 2 Peter Blomgren 2013-09-06 16:17:06 EDT
(In reply to Charles R. Anderson from comment #1)

I do have conditional formulas like that... both in files that work and files that cause segfault; so I don't think that's the cause.

I have several files that get updated/appended and resaved monthly, and there are cases where:

month-001.gnumeric - OK
month-002.gnumeric - segfault
month-003.gnumeric - OK

the files are not quite (but very close to) proper subsets of their respective predecessors.  It makes me think the issue is not with a particular construct in the spreadsheets themselves, but [wild speculation]maybe something to do with the file structure or checksums[/wild speculation].
Comment 3 M Welinder 2013-09-06 21:02:44 EDT
Split panes?

https://bugzilla.gnome.org/show_bug.cgi?id=707047
Comment 4 Fedora End Of Life 2015-01-09 14:44:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:04:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.